<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- Generated 11-jun-2011 18:21:07 by Hibernate Tools 3.2.0.b9 -->
<hibernate-mapping package="negocio">
    <class name="Componente" table="COMPONENTE" schema="PUBLIC">
        <id name="idComponente" type="int">
            <column name="ID_COMPONENTE" />
            <generator class="increment" />
        </id>
        <many-to-one name="bloqueConstructivo" class="BloqueConstructivo" fetch="select">
            <column name="ID_BLOQUE" />
        </many-to-one>
        <many-to-one name="instancia" class="Instancia" fetch="select">
            <column name="ID_INSTANCIA" />
        </many-to-one>
        <property name="nombre" type="string">
            <column name="NOMBRE" length="30" />
        </property>
        <property name="tipo" type="java.lang.Integer">
            <column name="TIPO" />
        </property>
        <property name="posicion" type="java.lang.Integer">
            <column name="POSICION" />
        </property>
        <property name="contenidoTexto" type="string">
            <column name="CONTENIDO_TEXTO" length="500" />
        </property>
        <property name="contenidoPortafolio" type="string">
            <column name="CONTENIDO_PORTAFOLIO" length="500" />
        </property>
        <property name="contenidoLista" type="serializable">
            <column name="CONTENIDO_LISTA" />
        </property>
        <property name="contenidoFecha" type="string">
            <column name="CONTENIDO_FECHA" />
        </property>
        <property name="valorSi" type="java.lang.Integer">
            <column name="VALOR_SI" />
        </property>
        <property name="cardinalidad" type="java.lang.Integer">
            <column name="CARDINALIDAD" />
        </property>
        <property name="opcionListaBloques" type="serializable">
            <column name="OPCION_LISTA_BLOQUES" />
        </property>
        <property name="orden" type="java.lang.Integer">
            <column name="ORDEN" />
        </property>
        <property name="idOpcionListaBloques" type="serializable">
            <column name="ID_OPCION_LISTA_BLOQUES" />
        </property>
    </class>
</hibernate-mapping>
